Page MenuHomePhabricator

Enable memtag sanitizer in all AArch64 toolchains
ClosedPublic

Authored by chill on Aug 2 2019, 2:30 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

chill created this revision.Aug 2 2019, 2:30 AM
vitalybuka added inline comments.Aug 6 2019, 2:08 AM
clang/lib/Driver/ToolChain.cpp
900 ↗(On Diff #212999)

this patch affects also cfi and shadow callstack (aarch64_be and armeb)
it should be in a separate patch with corresponding title

911 ↗(On Diff #212999)

I am not strongly against it but I don't think IsAArch64 and IsArmArch declare above improve readability here.

chill updated this revision to Diff 213633.Aug 6 2019, 9:04 AM
chill marked 2 inline comments as done.
vitalybuka accepted this revision.Aug 6 2019, 10:45 AM
This revision is now accepted and ready to land.Aug 6 2019, 10:45 AM
eugenis accepted this revision.Aug 8 2019, 3:20 PM

LGTM

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 13 2019, 7:20 AM